org.codehaus.plexus.logging

## Interface Logger

All Known Implementing Classes:
  AbstractLogger, ConsoleLogger

    public interface Logger

Version:
  $Id: Logger.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl, Trygve Laugstøl

### Field Summary

Fields
`static int` `LEVEL_DEBUG` Typecode for debugging messages.
`static int` `LEVEL_DISABLED` Typecode for disabled log levels.
`static int` `LEVEL_ERROR` Typecode for error messages.
`static int` `LEVEL_FATAL` Typecode for fatal error messages.
`static int` `LEVEL_INFO` Typecode for informational messages.
`static int` `LEVEL_WARN` Typecode for warning messages.

### Method Summary

Methods
`void` `debug(String message)`
`void` `debug(String message, Throwable throwable)`
`void` `error(String message)`
`void` `error(String message, Throwable throwable)`
`void` `fatalError(String message)`
`void` `fatalError(String message, Throwable throwable)`
`Logger` `getChildLogger(String name)` This one probably shouldn't be deprecated after all.
`String` `getName()`
`int` `getThreshold()`
`void` `info(String message)`
`void` `info(String message, Throwable throwable)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(String message)`
`void` `warn(String message, Throwable throwable)`

### Field Detail

#### LEVEL_DEBUG

    static final int LEVEL_DEBUG

Typecode for debugging messages.

See Also:
  Constant Field Values

#### LEVEL_INFO

    static final int LEVEL_INFO

Typecode for informational messages.

See Also:
  Constant Field Values

#### LEVEL_WARN

    static final int LEVEL_WARN

Typecode for warning messages.

See Also:
  Constant Field Values

#### LEVEL_ERROR

    static final int LEVEL_ERROR

Typecode for error messages.

See Also:
  Constant Field Values

#### LEVEL_FATAL

    static final int LEVEL_FATAL

Typecode for fatal error messages.

See Also:
  Constant Field Values

#### LEVEL_DISABLED

    static final int LEVEL_DISABLED

Typecode for disabled log levels.

See Also:
  Constant Field Values

### Method Detail

#### debug

    void debug(String message)

#### debug

    void debug(String message,
             Throwable throwable)

#### isDebugEnabled

    boolean isDebugEnabled()

#### info

    void info(String message)

#### info

    void info(String message,
            Throwable throwable)

#### isInfoEnabled

    boolean isInfoEnabled()

#### warn

    void warn(String message)

#### warn

    void warn(String message,
            Throwable throwable)

#### isWarnEnabled

    boolean isWarnEnabled()

#### error

    void error(String message)

#### error

    void error(String message,
             Throwable throwable)

#### isErrorEnabled

    boolean isErrorEnabled()

#### fatalError

    void fatalError(String message)

#### fatalError

    void fatalError(String message,
                  Throwable throwable)

#### isFatalErrorEnabled

    boolean isFatalErrorEnabled()

#### getChildLogger

    Logger getChildLogger(String name)

This one probably shouldn't be deprecated after all. One useful use case is when you have a server that creates a lot of threads and would like to create a child logger pr thread.

#### getThreshold

    int getThreshold()

#### getName

    String getName()